<?php namespace SokoWeb\Interfaces\Request;

use SokoWeb\Interfaces\Authentication\IUser;

interface IRequest
{
    public function setParsedRouteParams(array &$routeParams): void;

    public function getBase(): string;

    public function query(string $key);

    public function post(string $key);

    public function header(string $key);

    public function session(): ISession;

    public function setUser(?IUser $user): void;

    public function user(): ?IUser;
}
